Bug 1027524 - The mouse does not seem to be able to change the focused window
The mouse does not seem to be able to change the focused window
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 21:16 EST by Daniel Hall
Modified: 2015-02-17 14:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:07:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The Xorg log file (42.53 KB, text/x-log)
2013-11-06 21:16 EST, Daniel Hall
no flags Details

  None (edit)
Description Daniel Hall 2013-11-06 21:16:53 EST
Created attachment 820838 [details]
The Xorg log file

Description of problem:
there seems to be an issue somewhere in a layer above the window manager that prevents the mouse from changing where the focus is. ALT-TAB is able to change the active window as shown by the window decortion, however sometimes the keyboard input will still go to the old window. Bascally focus is all messed up

Version-Release number of selected component (if applicable):


How reproducible:
On my one MacBookPro8,1 and another MacBookPro10,2 it happens every single time. Sometime it takes a few minutes to happen. ALWAYS occurs if you plug in an external monitor.

Steps to Reproduce:
1. Install Fedora on MacBook Pro
2. Update machine to all the latest packages
3. Login and use gnome

Actual results:
1. Open several different applications and struggle to switch between them
2. Window decorations, focus and keyboard input will all stop working

Expected results:
1. Open many applications
2. Be productive

Additional info:

You can make the focus and window decorations start working again temporarily by making the current application to open another window. For example the firefox I'm typing in current has broken window decorations, I can open the about box from the help menu and this will let me resize the window once, then go back to failing.

The also happens in GNOME, Cinnamon and KDE.

Logs from /var/log/messages:
Nov  7 12:41:20 localhost gnome-session[1641]: JS ERROR: !!!   Exception was: TypeError: monitor is undefined
Nov  7 12:41:20 localhost gnome-session[1641]: JS ERROR: !!!     message = '"monitor is undefined"'
Nov  7 12:41:20 localhost gnome-session[1641]: JS ERROR: !!!     fileName = '"/usr/share/gnome-shell/js/ui/background.js"'
Nov  7 12:41:20 localhost gnome-session[1641]: JS ERROR: !!!     lineNumber = '697'
Nov  7 12:41:20 localhost gnome-session[1641]: JS ERROR: !!!     stack = '"((void 0))@/usr/share/gnome-shell/js/ui/background.js:697
Nov  7 12:41:20 localhost gnome-session[1641]: wrapper((void 0))@/usr/share/gjs-1.0/lang.js:213
Nov  7 12:41:20 localhost gnome-session[1641]: ()@/usr/share/gnome-shell/js/ui/background.js:449
Nov  7 12:41:20 localhost gnome-session[1641]: wrapper()@/usr/share/gjs-1.0/lang.js:213
Nov  7 12:41:20 localhost gnome-session[1641]: ()@/usr/share/gnome-shell/js/ui/background.js:521
Nov  7 12:41:20 localhost gnome-session[1641]: "'
Nov  7 12:42:23 localhost gnome-session[1641]: JS LOG: pushModal: invocation of begin_modal failed
Nov  7 12:42:43 localhost gnome-session[1641]: JS LOG: pushModal: invocation of begin_modal failed
Nov  7 12:43:17 localhost gnome-session[1641]: JS LOG: pushModal: invocation of begin_modal failed
Nov  7 12:43:20 localhost gnome-session[1641]: JS LOG: pushModal: invocation of begin_modal failed
Nov  7 12:43:22 localhost gnome-session[1641]: JS LOG: pushModal: invocation of begin_modal failed
Nov  7 12:43:24 localhost gnome-session[1641]: JS LOG: pushModal: invocation of begin_modal failed
Nov  7 12:43:28 localhost gnome-session[1641]: JS LOG: pushModal: invocation of begin_modal failed
Nov  7 12:44:01 localhost gnome-session[1641]: (firefox:2276): Gdk-CRITICAL **: IA__gdk_window_get_events: assertion `GDK_IS_WINDOW (window)' failed
Nov  7 12:44:01 localhost gnome-session[1641]: (firefox:2276): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
Nov  7 12:44:01 localhost gnome-session[1641]: (firefox:2276): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
Nov  7 12:44:24 localhost gnome-session[1641]: (firefox:2276): Gdk-CRITICAL **: IA__gdk_window_get_events: assertion `GDK_IS_WINDOW (window)' failed
Nov  7 12:44:24 localhost gnome-session[1641]: (firefox:2276): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
Nov  7 12:44:24 localhost gnome-session[1641]: (firefox:2276): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
Nov  7 12:44:27 localhost gnome-session[1641]: (firefox:2276): Gdk-CRITICAL **: IA__gdk_window_get_events: assertion `GDK_IS_WINDOW (window)' failed
Nov  7 12:44:27 localhost gnome-session[1641]: (firefox:2276): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
Nov  7 12:44:28 localhost gnome-session[1641]: (firefox:2276): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
Nov  7 12:44:28 localhost gnome-session[1641]: (firefox:2276): Gdk-CRITICAL **: IA__gdk_window_get_events: assertion `GDK_IS_WINDOW (window)' failed
Nov  7 12:44:28 localhost gnome-session[1641]: (firefox:2276): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
Nov  7 12:44:28 localhost gnome-session[1641]: (firefox:2276): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
Nov  7 12:44:28 localhost gnome-session[1641]: (firefox:2276): Gdk-CRITICAL **: IA__gdk_window_get_events: assertion `GDK_IS_WINDOW (window)' failed
Nov  7 12:44:28 localhost gnome-session[1641]: (firefox:2276): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed

The pushModal line shows up once for every time I try to ALT-TAB, which works, but only moves where the keyboard goes.

I have two laptops currently exhibiting this issue, so if you need any further debugging information let me know. I'm not quite sure where exactly to look.
Comment 1 Daniel Hall 2013-11-06 21:36:12 EST
Here is what the same issue looks like when it happens inside KDE (failsafe mode):

Nov  7 13:27:23 localhost fprintd[2054]: ** Message: entering main loop
Nov  7 13:27:34 localhost /etc/gdm/Xsession[1639]: ControllerWindow::resizeEvent QSize(-1, -1)
Nov  7 13:27:34 localhost /etc/gdm/Xsession[1639]: file:///usr/lib64/kde4/imports/org/kde/plasma/components/Button.qml:194:5: QML Row: Possible anchor loop detected on fill.
Nov  7 13:27:34 localhost /etc/gdm/Xsession[1639]: file:///usr/lib64/kde4/imports/org/kde/plasma/components/Button.qml:194:5: QML Row: Possible anchor loop detected on fill.
Nov  7 13:27:34 localhost /etc/gdm/Xsession[1639]: file:///usr/share/kde4/apps/plasma/packages/org.kde.desktop.activitymanager/contents/ui/main.qml:105:5: QML QDeclarativeLoader_QML_282: Binding loop detected for
 property "height"
Nov  7 13:27:34 localhost /etc/gdm/Xsession[1639]: file:///usr/share/kde4/apps/plasma/packages/org.kde.desktop.activitymanager/contents/ui/main.qml:82:0: QML Component: Delegate component must be Item type.
Nov  7 13:27:34 localhost /etc/gdm/Xsession[1639]: file:///usr/share/kde4/apps/plasma/packages/org.kde.desktop.activitymanager/contents/ui/main.qml:84: Unable to assign [undefined] to QString text
Nov  7 13:27:34 localhost /etc/gdm/Xsession[1639]: file:///usr/share/kde4/apps/plasma/packages/org.kde.desktop.activitymanager/contents/ui/main.qml:271:17: Unable to assign undefined value
Nov  7 13:27:34 localhost /etc/gdm/Xsession[1639]: file:///usr/share/kde4/apps/plasma/packages/org.kde.desktop.activitymanager/contents/ui/main.qml:80: Unable to assign QObject* to QDeclarativeItem*
Nov  7 13:27:35 localhost /etc/gdm/Xsession[1639]: ControllerWindow::resizeEvent QSize(2560, 100)
Nov  7 13:27:35 localhost /etc/gdm/Xsession[1639]: Object::disconnect: No such slot QObject::dataUpdated(QString,Plasma::DataEngine::Data)
Nov  7 13:27:35 localhost /etc/gdm/Xsession[1639]: Object::disconnect:  (sender name:   '7e0e6a7b-013b-483c-95a4-f0bc6a804aaa')
Nov  7 13:27:35 localhost /etc/gdm/Xsession[1639]: Object::disconnect:  (receiver name: 'DataSource')
Nov  7 13:27:35 localhost /etc/gdm/Xsession[1639]: Object::disconnect: No such slot QObject::dataUpdated(QString,Plasma::DataEngine::Data)
Nov  7 13:27:35 localhost /etc/gdm/Xsession[1639]: Object::disconnect:  (sender name:   '2a15bd17-1eb9-416b-b2af-eff059503721')
Nov  7 13:27:35 localhost /etc/gdm/Xsession[1639]: Object::disconnect:  (receiver name: 'DataSource')
Nov  7 13:27:35 localhost /etc/gdm/Xsession[1639]: Object::disconnect: No such slot QObject::dataUpdated(QString,Plasma::DataEngine::Data)
Nov  7 13:27:35 localhost /etc/gdm/Xsession[1639]: Object::disconnect:  (sender name:   'adb7d72e-4a6d-47d7-9476-dfae397ae131')
Nov  7 13:27:35 localhost /etc/gdm/Xsession[1639]: Object::disconnect:  (receiver name: 'DataSource')
Nov  7 13:27:42 localhost /etc/gdm/Xsession[1639]: file:///usr/share/kde4/apps/kwin/tabbox/thumbnails/contents/ui/main.qml:139:9: QML Image: Failed to get image from provider: image://client/-1/811793004-0
Nov  7 13:27:53 localhost fprintd[2054]: ** Message: No devices in use, exit
Nov  7 13:28:16 localhost /etc/gdm/Xsession[1639]: ControllerWindow::resizeEvent QSize(-1, -1)
Nov  7 13:28:18 localhost /etc/gdm/Xsession[1639]: ControllerWindow::resizeEvent QSize(-1, -1)
Nov  7 13:29:11 localhost /etc/gdm/Xsession[1639]: Object::connect: No such signal org::freedesktop::UPower::DeviceAdded(QDBusObjectPath)
Nov  7 13:29:11 localhost /etc/gdm/Xsession[1639]: Object::connect: No such signal org::freedesktop::UPower::DeviceRemoved(QDBusObjectPath)
Nov  7 13:29:11 localhost /etc/gdm/Xsession[1639]: X Error: BadDrawable (invalid Pixmap or Window parameter) 9
Nov  7 13:29:11 localhost /etc/gdm/Xsession[1639]: Major opcode: 55 (X_CreateGC)
Nov  7 13:29:11 localhost /etc/gdm/Xsession[1639]: Resource id:  0x0
Nov  7 13:29:11 localhost /etc/gdm/Xsession[1639]: X Error: BadDrawable (invalid Pixmap or Window parameter) 9
Nov  7 13:29:11 localhost /etc/gdm/Xsession[1639]: Major opcode: 72 (X_PutImage)
Nov  7 13:29:11 localhost /etc/gdm/Xsession[1639]: Resource id:  0x0
Nov  7 13:29:11 localhost /etc/gdm/Xsession[1639]: X Error: BadDrawable (invalid Pixmap or Window parameter) 9
Nov  7 13:29:11 localhost /etc/gdm/Xsession[1639]: Major opcode: 72 (X_PutImage)
Nov  7 13:29:11 localhost /etc/gdm/Xsession[1639]: Resource id:  0x0
Comment 2 Daniel Hall 2013-11-06 22:03:37 EST
Cannot reproduce this issue when using "Cinnamon (Software Rendering)".
Comment 3 Fedora End Of Life 2015-01-09 15:30:28 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 14:07:08 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.